---
title: "List a project's autoscaling groups, newest first"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: EZGH Compute API

`GET /v1/organizations/{orgId}/projects/{projectId}/autoscaling-groups`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `oauth`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie

## Path parameters

- `ListAutoscalingGroups.path.orgId` (string, required) — UUID or prefixed ID (org_…)
- `ListAutoscalingGroups.path.projectId` (string, required) — UUID or prefixed ID (prj_…)

## Query parameters

- `ListAutoscalingGroups.query.limit` (integer, optional) — The page size. Out of range is 400, never a clamp.
  - min 1; max 100; default `20`
- `ListAutoscalingGroups.query.cursor` (string, optional) — The previous page's nextCursor. Bound to the organization, the list and its filters.

## Code samples

### cURL

```curl
curl --request GET \
  --url https://compute-api.ezghcloud.com/v1/organizations/string/projects/string/autoscaling-groups \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://compute-api.ezghcloud.com/v1/organizations/string/projects/string/autoscaling-groups';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://compute-api.ezghcloud.com/v1/organizations/string/projects/string/autoscaling-groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

A page of groups.

#### Example

```json
{
  "autoscalingGroups": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "desiredCapacity": 0,
      "healthCheckGraceSeconds": 0,
      "id": "string",
      "instanceWarmupSeconds": 0,
      "lastError": {
        "at": "2019-08-24T14:15:22Z",
        "code": "string",
        "message": "string"
      },
      "launchSpec": {
        "bot": "string",
        "image": "string",
        "instanceType": "string",
        "networkInterfaces": [
          {
            "firewallIds": [
              "string"
            ],
            "ipv4": true,
            "ipv6": true,
            "subnet": "string"
          }
        ],
        "resolvedImage": "string",
        "rootVolume": {
          "iops": 0,
          "sizeGiB": 0,
          "throughputMBps": 0,
          "volumeType": "string"
        },
        "sshKeyIds": [
          "string"
        ],
        "tags": {
          "property1": "string",
          "property2": "string"
        },
        "userData": null,
        "userDataPresent": true,
        "volumes": [
          {
            "iops": 0,
            "sizeGiB": 0,
            "throughputMBps": 0,
            "volumeType": "string"
          }
        ]
      },
      "launchSpecVersion": 0,
      "maxSize": 100,
      "minSize": 0,
      "name": "string",
      "policies": [
        {
          "metric": {
            "kind": "cpuUtilization",
            "query": "string"
          },
          "name": "string",
          "target": "string"
        }
      ],
      "release": {
        "batchPercent": 0,
        "reason": "string",
        "remaining": 0,
        "replaced": 0,
        "status": "inProgress",
        "targetVersion": 0
      },
      "resourceName": "string",
      "scaleInCooldownSeconds": 0,
      "status": "creating",
      "targetGroups": [
        "string"
      ],
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}
```

- `ListAutoscalingGroups.response.200.autoscalingGroups` (array<object>, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.createdAt` (string, required)
    - format `date-time`
  - `ListAutoscalingGroups.response.200.autoscalingGroups.desiredCapacity` (integer, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.healthCheckGraceSeconds` (integer, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.id` (string, required) — asg_…
  - `ListAutoscalingGroups.response.200.autoscalingGroups.instanceWarmupSeconds` (integer, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.lastError` (object | null, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.lastError.at` (string, required)
      - format `date-time`
    - `ListAutoscalingGroups.response.200.autoscalingGroups.lastError.code` (string, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.lastError.message` (string, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec` (object, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.bot` (string | null, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.image` (string, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.instanceType` (string, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.networkInterfaces` (array<object>, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.networkInterfaces.firewallIds` (array | null, required) — null: the project's default firewall. []: none.
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.networkInterfaces.ipv4` (boolean | null, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.networkInterfaces.ipv6` (boolean | null, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.networkInterfaces.subnet` (string | null, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.resolvedImage` (string, required) — The image (img_…) every member launches: resolved when the launch spec was written.
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.rootVolume` (object, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.rootVolume.iops` (integer | null, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.rootVolume.sizeGiB` (integer | null, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.rootVolume.throughputMBps` (integer | null, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.rootVolume.volumeType` (string | null, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.sshKeyIds` (array<string>, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.tags` (map<string>, required) — At most 50; keys 1-128 characters, values at most 256, keys starting with ezgh: are reserved.
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.userData` (null, required) — Always null: user data is never returned.
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.userDataPresent` (boolean, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.volumes` (array<object>, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.volumes.iops` (integer | null, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.volumes.sizeGiB` (integer | null, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.volumes.throughputMBps` (integer | null, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpec.volumes.volumeType` (string | null, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.launchSpecVersion` (integer, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.maxSize` (integer, required)
    - max 100
  - `ListAutoscalingGroups.response.200.autoscalingGroups.minSize` (integer, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.name` (string, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.policies` (array<object>, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.policies.metric` (object, required)
      - `ListAutoscalingGroups.response.200.autoscalingGroups.policies.metric.kind` (string, required)
        - one of `"cpuUtilization"`, `"memoryUtilization"`, `"promql"`
      - `ListAutoscalingGroups.response.200.autoscalingGroups.policies.metric.query` (string | null, required) — Required for promql (an instant vector of exactly one series; __asg_instances__ is replaced by a regex of the warm members' ins_ IDs), null otherwise. At most 8 KiB.
        - maxLength 8192
    - `ListAutoscalingGroups.response.200.autoscalingGroups.policies.name` (string, required)
      - minLength 1; maxLength 100
    - `ListAutoscalingGroups.response.200.autoscalingGroups.policies.target` (string, required) — A positive decimal string.
  - `ListAutoscalingGroups.response.200.autoscalingGroups.release` (object, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.release.batchPercent` (integer, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.release.reason` (string | null, required)
    - `ListAutoscalingGroups.response.200.autoscalingGroups.release.remaining` (integer, required) — Non-retiring members below the target version.
    - `ListAutoscalingGroups.response.200.autoscalingGroups.release.replaced` (integer, required) — Non-retiring members on the target version.
    - `ListAutoscalingGroups.response.200.autoscalingGroups.release.status` (string | null, required)
      - one of `"inProgress"`, `"succeeded"`, `"failed"`, `"cancelled"`, `null`
    - `ListAutoscalingGroups.response.200.autoscalingGroups.release.targetVersion` (integer | null, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.resourceName` (string, required) — ezgh:<region>:org_…:prj_…:asg_…
  - `ListAutoscalingGroups.response.200.autoscalingGroups.scaleInCooldownSeconds` (integer, required)
  - `ListAutoscalingGroups.response.200.autoscalingGroups.status` (string, required)
    - one of `"creating"`, `"active"`, `"updating"`, `"deleting"`, `"failed"`
  - `ListAutoscalingGroups.response.200.autoscalingGroups.targetGroups` (array<string>, required) — Load balancer target groups the group's members register with.
  - `ListAutoscalingGroups.response.200.autoscalingGroups.updatedAt` (string, required)
    - format `date-time`
- `ListAutoscalingGroups.response.200.nextCursor` (string | null, required)

### 400

invalid_request (with issues), invalid_cursor, or the endpoint's own 400 codes.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListAutoscalingGroups.response.400.error` (object, required)
  - `ListAutoscalingGroups.response.400.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListAutoscalingGroups.response.400.error.message` (string, required)
    - maxLength 1024
  - `ListAutoscalingGroups.response.400.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListAutoscalingGroups.response.400.error.issues.message` (string, required)
    - `ListAutoscalingGroups.response.400.error.issues.path` (string, required)
  - `ListAutoscalingGroups.response.400.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListAutoscalingGroups.response.400.error.quota.id` (string, required)
    - `ListAutoscalingGroups.response.400.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListAutoscalingGroups.response.400.error.quota.limit` (integer, required)
      - min 0
    - `ListAutoscalingGroups.response.400.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListAutoscalingGroups.response.400.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.400.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.400.error.quota.region` (string, optional)
    - `ListAutoscalingGroups.response.400.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.400.error.quota.scopeResourceName` (string, optional)
    - `ListAutoscalingGroups.response.400.error.quota.used` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.400.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 401

unauthenticated: no credential, or one that doesn't check out.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListAutoscalingGroups.response.401.error` (object, required)
  - `ListAutoscalingGroups.response.401.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListAutoscalingGroups.response.401.error.message` (string, required)
    - maxLength 1024
  - `ListAutoscalingGroups.response.401.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListAutoscalingGroups.response.401.error.issues.message` (string, required)
    - `ListAutoscalingGroups.response.401.error.issues.path` (string, required)
  - `ListAutoscalingGroups.response.401.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListAutoscalingGroups.response.401.error.quota.id` (string, required)
    - `ListAutoscalingGroups.response.401.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListAutoscalingGroups.response.401.error.quota.limit` (integer, required)
      - min 0
    - `ListAutoscalingGroups.response.401.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListAutoscalingGroups.response.401.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.401.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.401.error.quota.region` (string, optional)
    - `ListAutoscalingGroups.response.401.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.401.error.quota.scopeResourceName` (string, optional)
    - `ListAutoscalingGroups.response.401.error.quota.used` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.401.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 403

access_denied: the caller's policies don't allow the action; forbidden_origin: a cookie-authenticated write from an origin that isn't allowed; spend_limit_reached.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListAutoscalingGroups.response.403.error` (object, required)
  - `ListAutoscalingGroups.response.403.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListAutoscalingGroups.response.403.error.message` (string, required)
    - maxLength 1024
  - `ListAutoscalingGroups.response.403.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListAutoscalingGroups.response.403.error.issues.message` (string, required)
    - `ListAutoscalingGroups.response.403.error.issues.path` (string, required)
  - `ListAutoscalingGroups.response.403.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListAutoscalingGroups.response.403.error.quota.id` (string, required)
    - `ListAutoscalingGroups.response.403.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListAutoscalingGroups.response.403.error.quota.limit` (integer, required)
      - min 0
    - `ListAutoscalingGroups.response.403.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListAutoscalingGroups.response.403.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.403.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.403.error.quota.region` (string, optional)
    - `ListAutoscalingGroups.response.403.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.403.error.quota.scopeResourceName` (string, optional)
    - `ListAutoscalingGroups.response.403.error.quota.used` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.403.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 404

not_found: unknown, malformed, or in an organization the caller isn't in.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListAutoscalingGroups.response.404.error` (object, required)
  - `ListAutoscalingGroups.response.404.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListAutoscalingGroups.response.404.error.message` (string, required)
    - maxLength 1024
  - `ListAutoscalingGroups.response.404.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListAutoscalingGroups.response.404.error.issues.message` (string, required)
    - `ListAutoscalingGroups.response.404.error.issues.path` (string, required)
  - `ListAutoscalingGroups.response.404.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListAutoscalingGroups.response.404.error.quota.id` (string, required)
    - `ListAutoscalingGroups.response.404.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListAutoscalingGroups.response.404.error.quota.limit` (integer, required)
      - min 0
    - `ListAutoscalingGroups.response.404.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListAutoscalingGroups.response.404.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.404.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.404.error.quota.region` (string, optional)
    - `ListAutoscalingGroups.response.404.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.404.error.quota.scopeResourceName` (string, optional)
    - `ListAutoscalingGroups.response.404.error.quota.used` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.404.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 429

too_many_requests, with Retry-After; or quota_exceeded (a rate, usage or concurrency quota, with quota), never with Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListAutoscalingGroups.response.429.error` (object, required)
  - `ListAutoscalingGroups.response.429.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListAutoscalingGroups.response.429.error.message` (string, required)
    - maxLength 1024
  - `ListAutoscalingGroups.response.429.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListAutoscalingGroups.response.429.error.issues.message` (string, required)
    - `ListAutoscalingGroups.response.429.error.issues.path` (string, required)
  - `ListAutoscalingGroups.response.429.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListAutoscalingGroups.response.429.error.quota.id` (string, required)
    - `ListAutoscalingGroups.response.429.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListAutoscalingGroups.response.429.error.quota.limit` (integer, required)
      - min 0
    - `ListAutoscalingGroups.response.429.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListAutoscalingGroups.response.429.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.429.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.429.error.quota.region` (string, optional)
    - `ListAutoscalingGroups.response.429.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.429.error.quota.scopeResourceName` (string, optional)
    - `ListAutoscalingGroups.response.429.error.quota.used` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.429.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 500

internal_error: a bug; the details are in the logs, under the request ID.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListAutoscalingGroups.response.500.error` (object, required)
  - `ListAutoscalingGroups.response.500.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListAutoscalingGroups.response.500.error.message` (string, required)
    - maxLength 1024
  - `ListAutoscalingGroups.response.500.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListAutoscalingGroups.response.500.error.issues.message` (string, required)
    - `ListAutoscalingGroups.response.500.error.issues.path` (string, required)
  - `ListAutoscalingGroups.response.500.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListAutoscalingGroups.response.500.error.quota.id` (string, required)
    - `ListAutoscalingGroups.response.500.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListAutoscalingGroups.response.500.error.quota.limit` (integer, required)
      - min 0
    - `ListAutoscalingGroups.response.500.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListAutoscalingGroups.response.500.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.500.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.500.error.quota.region` (string, optional)
    - `ListAutoscalingGroups.response.500.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.500.error.quota.scopeResourceName` (string, optional)
    - `ListAutoscalingGroups.response.500.error.quota.used` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.500.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 503

unavailable: a dependency the request needs is down. Retry after Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ListAutoscalingGroups.response.503.error` (object, required)
  - `ListAutoscalingGroups.response.503.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ListAutoscalingGroups.response.503.error.message` (string, required)
    - maxLength 1024
  - `ListAutoscalingGroups.response.503.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ListAutoscalingGroups.response.503.error.issues.message` (string, required)
    - `ListAutoscalingGroups.response.503.error.issues.path` (string, required)
  - `ListAutoscalingGroups.response.503.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ListAutoscalingGroups.response.503.error.quota.id` (string, required)
    - `ListAutoscalingGroups.response.503.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ListAutoscalingGroups.response.503.error.quota.limit` (integer, required)
      - min 0
    - `ListAutoscalingGroups.response.503.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ListAutoscalingGroups.response.503.error.quota.inFlight` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.503.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.503.error.quota.region` (string, optional)
    - `ListAutoscalingGroups.response.503.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ListAutoscalingGroups.response.503.error.quota.scopeResourceName` (string, optional)
    - `ListAutoscalingGroups.response.503.error.quota.used` (integer, optional)
      - min 0
    - `ListAutoscalingGroups.response.503.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.


Source: https://docs.ezghcloud.com/compute-api/ListAutoscalingGroups/index.md
